GNU Enscript src/psgen.c栈溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1184862 漏洞类型 缓冲区溢出
发布时间 2008-10-22 更新时间 2009-03-06
CVE编号 CVE-2008-5078 CNNVD-ID CNNVD-200812-371
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200812-371
|漏洞详情
GNUenscript是用于替换Adobeenscript程序的脚本。Enscript可将ASCII文件转换为PostScript并将生成的PostScript输出提供给指定的打印机。GNUenscriptsrc/psgen.c文件中的read_special_escape()函数存在栈溢出漏洞。如果用户通过-e选项启用了特殊转义处理的话,在转换恶意文件时就可能触发这个溢出,导致执行任意指令。
|参考资料

来源:bugzilla.redhat.com
链接:https://bugzilla.redhat.com/show_bug.cgi?id=473958
来源:XF
名称:enscript-recognize-tilde-bo(47680)
链接:http://xforce.iss.net/xforce/xfdb/47680
来源:SECTRACK
名称:1021401
链接:http://www.securitytracker.com/id?1021401
来源:REDHAT
名称:RHSA-2008:1021
链接:http://www.redhat.com/support/errata/RHSA-2008-1021.html
来源:support.avaya.com
链接:http://support.avaya.com/elmodocs2/security/ASA-2008-504.htm
来源:SECUNIA
名称:33181
链接:http://secunia.com/advisories/33181
来源:SUSE
名称:SUSE-SR:2009:005
链接:http://lists.opensuse.org/opensuse-security-announce/2009-03/msg00000.html